using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;

namespace CommunicationBuddy
{
    public partial class CommunicationBuddy_Form : Form
    {
        public CommunicationBuddy_Form()
        {

            InitializeComponent();

            SXml.Load(true);

            checkBox1_aow.Checked = SXml.settings.whisperAlert;
            checkBox1_answering.Checked = SXml.settings.answering;
            textBox1_wordlist.Text = SXml.settings.wordlist;
            comboBox1_loglevel.Items.Add(SXml.settings.Loglevel);
            comboBox1_loglevel.Text = SXml.settings.Loglevel;
            checkBox2_delay.Checked = SXml.settings.delay;
            maskedTextBox1_delayfrom.Text = Convert.ToString(SXml.settings.delayV1);
            maskedTextBox1_delaytill.Text = Convert.ToString(SXml.settings.delayV2);

            if (!SXml.settings.delay)
            {

                maskedTextBox1_delayfrom.Enabled = false;
                maskedTextBox1_delaytill.Enabled = false;
            }

            if (!SXml.settings.answering)
            {

                checkBox2_bl.Enabled = false;
            }
        }

        private void button_save_Click(object sender, EventArgs e)
        {

            Settings set = new Settings();

            set.whisperAlert = checkBox1_aow.Checked;
            set.Loglevel = comboBox1_loglevel.Text;
            set.wordlist = textBox1_wordlist.Text;
            set.delay = checkBox2_delay.Checked;
            set.delayV1 = Convert.ToInt32(maskedTextBox1_delayfrom.Text);
            set.delayV2 = Convert.ToInt32(maskedTextBox1_delaytill.Text);

            SXml.Save(set, false);
        }

        private void CommunicationBuddy_Form_Load(object sender, EventArgs e)
        {

            pictureBox1_logo.ImageLocation = Application.StartupPath + @"\Plugins\CommunicationBuddy\Misc\CommunicationBuddy.Logo.png";

            try
            {

                richTextBox1_log.Text = File.ReadAllText(Application.StartupPath + @"\Plugins\CommunicationBuddy\Logs\Log.txt");
            }
            catch (Exception e1) { MessageBox.Show(string.Format("Failed to open Log.txt:\n{0}", e1.Message)); }
        }



        private void button1_Click(object sender, EventArgs e)
        {

            PluginLog.clearLog();
            try
            {

                richTextBox1_log.Text = File.ReadAllText(Application.StartupPath + @"\Plugins\CommunicationBuddy\Logs\Log.txt");
            }
            catch (Exception e2)
            {

                MessageBox.Show(string.Format("Failed to open Log.txt:\n{0}", e2.Message));
            }
        }

        private void button_rl_Click(object sender, EventArgs e)
        {

            try
            {

                richTextBox1_log.Text = File.ReadAllText(Application.StartupPath + @"\Plugins\CommunicationBuddy\Logs\Log.txt");
            }
            catch (Exception e3)
            {

                MessageBox.Show(string.Format("Failed to open Log.txt:\n{0}", e3.Message));
            }
        }

        private void maskedtextbox_delayfrom_KeyPress(object sender, KeyPressEventArgs e) 
        {

            if (!char.IsDigit(e.KeyChar) && !char.IsControl(e.KeyChar))
                e.Handled = true;
        }

        private void maskedtextbox_delaytill_KeyPress(object sender, KeyPressEventArgs e)
        {

            if (!char.IsDigit(e.KeyChar) && !char.IsControl(e.KeyChar))
                e.Handled = true;
        }
    }
}